Name:           openoffice.org-voikko
Version:        2.2 
Release:        4%{?dist}
Summary:        Finnish spellchecker and hyphenator extension for OpenOffice.org

Group:          Applications/Productivity
License:        GPLv2+
URL:            http://voikko.sourceforge.net/
Source0:        http://downloads.sourceforge.net/voikko/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: openoffice.org-sdk >= 2.3.0-6.12 libvoikko-devel >= 1.5
Requires(pre):    openoffice.org-core >= 2.3.0-6.12
Requires(post):   openoffice.org-core >= 2.3.0-6.12
Requires(preun):  openoffice.org-core >= 2.3.0-6.12
Requires(postun): openoffice.org-core >= 2.3.0-6.12
Requires: openoffice.org-core >= 2.3.0-6.12 libvoikko >= 1.5

%define oo2_sdk %{_libdir}/openoffice.org/sdk
%define oo2 %{_libdir}/openoffice.org
%define unopkg %{oo2}/program/unopkg
# The location of the installed extension. Apparently the directory name must
# end with .uno.pkg or unopkg will fail.
%define voikkoext %{_libdir}/openoffice.org/extensions/voikko.uno.pkg

%description
This package contains a Finnish spell-checking and hyphenation component for
OpenOffice.org. The actual spell-checking and hyphenation functionality is
provided by the Voikko library.


%prep
%setup -q


# Make install-unpacked also builds before installing, leave the build section
# empty.
%build


%install
rm -rf $RPM_BUILD_ROOT
. %{oo2_sdk}/setsdkenv_unix.sh
make install-unpacked DESTDIR=$RPM_BUILD_ROOT%{voikkoext} \
    "OPT_FLAGS=$RPM_OPT_FLAGS" %{?_smp_mflags}
# Set the library executable so debuginfo can be extracted.
chmod +x $RPM_BUILD_ROOT%{voikkoext}/voikko.so


%pre
if [ $1 -gt 1 ]; then
    # Upgrade => deregister old extension
    %{unopkg} remove --shared org.puimula.ooovoikko || :
fi

%post
    # register extension
    %{unopkg} add --shared --link %{voikkoext} || :

%preun
if [ $1 -eq 0 ]; then
    # not upgrading => deregister
    %{unopkg} remove --shared org.puimula.ooovoikko || :
fi

%postun
    # clear disk cache
    %{unopkg} list --shared > /dev/null 2>&1 || :


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{voikkoext}
%doc ChangeLog COPYING README


%changelog
* Sat Apr 26 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.2-4
- Build with RPM_OPT_FLAGS, adds FORTIFY_SOURCE etc.

* Thu Apr 03 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.2-3
- Update the package to match the newest extension guidelines:
  - Change location
  - Update openoffice.org-* Requires

* Sun Feb 17 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.2-2
- Upstream released 2.2
- Remove the "temporary $HOME hack" and all -env options, since unopkg has 
  been patched to take care of all that

* Tue Feb 12 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.2-0.2.rc1
- Use the package name, not a Debian leftover environment variable as an mktemp
  template

* Mon Feb 11 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.2-0.1.rc1
- 2.2rc1
- Use new install-unpacked make target, no need to unzip the extension
  anymore
- This target both compiles and installs, so do everything in install and
  leave build empty
- Set $HOME to be a temporary directory while using unopkg. Otherwise unopkg
  causes problems if the package is installed with sudo
- Rebuild for GCC 4.3

* Wed Jan 23 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.1-1
- Bump release for the initial Fedora build

* Mon Jan 21 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.1-0.2
- Make one define a bit cleaner
- Changes by Caolan McNamara:
  - Unpack the component at install time
  - Make a non-empty debuginfo package
  - Install the extension to /usr/lib/

* Mon Jan 21 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.1-0.1
- Initial package
